pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Is pango still broken? (vim-gtk2 won't build)

Thomas Klausner <> writes:

> On Fri, Sep 17, 2010 at 05:21:20PM -0400, Greg Troxel wrote:
>> (speculating) Then, gtk2 may be rebuilt, and be trying to link both base
>> libpixman and pkgsrc libpixman from two different pc files, and this
>> might fail.
>> So once pkgsrc libpixman is built, and package depending on xsrc
>> libpixman should be marked unsafe_depends.
>> I don't think bulk builds solve this either - I think the really tricky
>> part is when some programs require newer libpixman than the base
>> demanded in and some don't.  The way to fix it may be to bump
>> the base requirement in those cases, since a halfway-solution is a mess.
>> I am not sure I really understand this though.
> x11-links was bumped, so for bulk builds it should be fine, since all
> dependencies of x11-links will be rebuilt.
> Does pkg_rr consider BUILD_DEPENCIES when marking packages
> unsafe_depends?

I believe it does.   If not it's a bug.

Attachment: pgpgHrj2AfPmW.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index